import { AfterViewInit, EventEmitter, OnChanges, OnDestroy, Renderer2, SimpleChanges } from "@angular/core";
import { IMasonryGalleryImage } from "./masonry-gallery-models";
export declare class MasonryGalleryComponent implements AfterViewInit, OnDestroy, OnChanges {
    private renderer;
    images: IMasonryGalleryImage[];
    width: number;
    gutter: number;
    verticalGutter: number;
    imageClasses: string[];
    clickImage: EventEmitter<IMasonryGalleryImage>;
    /**
     * Unique gallery guid used for distinguishing between multiple galleries on page
     */
    readonly galleryGuid: string;
    private readonly mansonryItemSelectorClass;
    private readonly hiddenClass;
    private idWithImages;
    private msnry?;
    private grid?;
    private viewReady;
    private processImagesAfterViewIsReady;
    constructor(renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    handleClick(image: IMasonryGalleryImage): void;
    ngAfterViewInit(): void;
    private processImages(changes?);
    private getAddedAndRemovesImages(changes);
    private initMasonry();
    private removeImageFromGallery(image, grid);
    private addImageToGallery(image, grid);
    private getImageClass();
    private getImageId();
    private handleImageLoad(imageId);
}
